## ide-configuration-manager ide-configuration-manager |

## Functions

IdeConfiguration * | ide_configuration_manager_get_current ()
void | ide_configuration_manager_set_current ()
IdeConfiguration * | ide_configuration_manager_get_configuration ()
void | ide_configuration_manager_add ()
void | ide_configuration_manager_remove ()
void | ide_configuration_manager_save_async ()
gboolean | ide_configuration_manager_save_finish ()

## Types and Values

#define | IDE_TYPE_CONFIGURATION_MANAGER
| IdeConfigurationManager

## Description

## Functions

### ide_configuration_manager_get_current ()

    IdeConfiguration *
    ide_configuration_manager_get_current (IdeConfigurationManager *self);

Gets the current configuration to use for building.

Many systems allow you to pass a configuration in instead of relying on the default configuration. This gets the default configuration that various background items might use, such as tags builders which need to discover settings.

#### Parameters

self | An IdeConfigurationManager |

#### Returns

An IdeConfiguration.

[transfer none]

### ide_configuration_manager_set_current ()

    void
    ide_configuration_manager_set_current (IdeConfigurationManager *self,
                                           IdeConfiguration *configuration);

### ide_configuration_manager_get_configuration ()

    IdeConfiguration *
    ide_configuration_manager_get_configuration
                                   (IdeConfigurationManager *self,
                                    const gchar *id);

Gets the IdeConfiguration by id. See `ide_configuration_get_id()`.

#### Parameters

self | An IdeConfigurationManager |
id | The string identifier of the configuration |

#### Returns

An IdeConfiguration or `NULL` if the configuration could not be found.

[transfer none][nullable]

### ide_configuration_manager_add ()

    void
    ide_configuration_manager_add (IdeConfigurationManager *self,
                                   IdeConfiguration *configuration);

### ide_configuration_manager_remove ()

    void
    ide_configuration_manager_remove (IdeConfigurationManager *self,
                                      IdeConfiguration *configuration);

### ide_configuration_manager_save_async ()

    void
    ide_configuration_manager_save_async (IdeConfigurationManager *self,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

### ide_configuration_manager_save_finish ()

    gboolean
    ide_configuration_manager_save_finish (IdeConfigurationManager *self,
                                           GAsyncResult *result,
                                           GError **error);

## Types and Values

### IDE_TYPE_CONFIGURATION_MANAGER

    #define IDE_TYPE_CONFIGURATION_MANAGER (ide_configuration_manager_get_type())

### IdeConfigurationManager

    typedef struct _IdeConfigurationManager IdeConfigurationManager;